# Generated from ghbulk-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ghbulk

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: A simple gem for bulk GitHub repository creation
License: MIT
URL: https://github.com/WolfSoftware/ghbulk
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(colorize) >= 0.8.1
# BuildRequires: rubygem(colorize) < 0.9
# BuildRequires: rubygem(octokit) >= 4.15.0
# BuildRequires: rubygem(octokit) < 4.16
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
A simple gem for bulk creation of GitHub Repositories.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/ghbulk
%{gem_instdir}/.gitattributes
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rspec_status
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODEOWNERS
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/VERSION.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%{gem_instdir}/pkg
%{gem_instdir}/stale.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ghbulk.gemspec
%{gem_instdir}/spec
%{gem_instdir}/testing

%changelog
* Mon Aug 23 2021 mockbuilder - 0.1.1-1
- Initial package
